VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::CpuTypes::Info Class Reference

The `Cpu.Info` class contains CPU-related information about a virtual machine. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
long | GetCount ()
| Number of CPU cores.
void | SetCount (long count)
| Number of CPU cores.
long | GetCoresPerSocket ()
| Number of CPU cores per socket.
void | SetCoresPerSocket (long coresPerSocket)
| Number of CPU cores per socket.
bool | GetHotAddEnabled ()
| Flag indicating whether adding CPUs while the virtual machine is running is enabled.
void | SetHotAddEnabled (bool hotAddEnabled)
| Flag indicating whether adding CPUs while the virtual machine is running is enabled.
bool | GetHotRemoveEnabled ()
| Flag indicating whether removing CPUs while the virtual machine is running is enabled.
void | SetHotRemoveEnabled (bool hotRemoveEnabled)
| Flag indicating whether removing CPUs while the virtual machine is running is enabled.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Cpu.Info` class contains CPU-related information about a virtual machine.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::CpuTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::CpuTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::CpuTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::CpuTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CpuTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::CpuTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::CpuTypes::Info::Equals | ( | object | obj | ) | `[inline]`

long vmware::vcenter::vm::hardware::CpuTypes::Info::GetCoresPerSocket | ( |  | ) | `[inline]`

Number of CPU cores per socket.

long vmware::vcenter::vm::hardware::CpuTypes::Info::GetCount | ( |  | ) | `[inline]`

Number of CPU cores.

override int vmware::vcenter::vm::hardware::CpuTypes::Info::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::CpuTypes::Info::GetHotAddEnabled | ( |  | ) | `[inline]`

Flag indicating whether adding CPUs while the virtual machine is running is enabled.

bool vmware::vcenter::vm::hardware::CpuTypes::Info::GetHotRemoveEnabled | ( |  | ) | `[inline]`

Flag indicating whether removing CPUs while the virtual machine is running is enabled.

void vmware::vcenter::vm::hardware::CpuTypes::Info::SetCoresPerSocket | ( | long | coresPerSocket | ) | `[inline]`

Number of CPU cores per socket.

void vmware::vcenter::vm::hardware::CpuTypes::Info::SetCount | ( | long | count | ) | `[inline]`

Number of CPU cores.

void vmware::vcenter::vm::hardware::CpuTypes::Info::SetHotAddEnabled | ( | bool | hotAddEnabled | ) | `[inline]`

Flag indicating whether adding CPUs while the virtual machine is running is enabled.

void vmware::vcenter::vm::hardware::CpuTypes::Info::SetHotRemoveEnabled | ( | bool | hotRemoveEnabled | ) | `[inline]`

Flag indicating whether removing CPUs while the virtual machine is running is enabled.

override string vmware::vcenter::vm::hardware::CpuTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CpuTypes.cs